import * as $dara from '@darabonba/typescript';
export declare class DescribeNewProjectEipMonitorDataResponseBodyEipMonitorDatasEipMonitorData extends $dara.Model {
    eipBandwidth?: number;
    eipFlow?: number;
    eipPackets?: number;
    eipRX?: number;
    eipTX?: number;
    timeStamp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeNewProjectEipMonitorDataResponseBodyEipMonitorDatas extends $dara.Model {
    eipMonitorData?: DescribeNewProjectEipMonitorDataResponseBodyEipMonitorDatasEipMonitorData[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeNewProjectEipMonitorDataResponseBody extends $dara.Model {
    eipMonitorDatas?: DescribeNewProjectEipMonitorDataResponseBodyEipMonitorDatas;
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
